namespace EF_CodeFirst_MVC
{
    using EF_CodeFirst_MVC.Models;
    using System;
    using System.Data.Entity;
    using System.Linq;

    public class StaffDbContext : DbContext
    {
        // Setting the Connection String.
        public StaffDbContext() : base("name=constr")
        {
            // The Database is initialized and created.
            Database.SetInitializer(new CreateDatabaseIfNotExists<StaffDbContext>());
        }

        // A DbSet for each Entity (Table) needs to be added. 
        public DbSet<Staff> Staff { get; set; }
        // Add a DbSet for each entity type that you want to include in your model. 

        protected override void OnModelCreating(DbModelBuilder ModelBuilder)
        {
            base.OnModelCreating(ModelBuilder);
        }
    }
}